dpkg-trigger(1)

NAAM
dpkg-trigger - een hulpprogramma in verband met pakkettriggers

OVERZICHT
dpkg-trigger [optie...] triggernaam
dpkg-trigger [optie...] commando

BESCHRIJVING
dpkg-trigger is gereedschap om triggers expliciet te activeren en na te gaan of ze door het exemplaar van dpkg dat actief is, ondersteund worden.

Dit kan gebruikt worden door scripts van de pakketonderhouder in complexe en voorwaardelijke situaties waarvoor het bestand triggers of de declaratieve opdracht activate van het triggercontrolebestand onvoldoende verfijnd zijn. Het kan ook voor testdoeleinden en door systeembeheerders gebruikt worden (maar merk op dat de triggers niet effectief uitgevoerd worden door dpkg-trigger).

Een syntaxis van een triggernaam die niet herkend wordt, is voor dpkg-trigger een fout.

COMMANDO'S

--check-supported
    Controleer of het exemplaar van dpkg dat uitgevoerd wordt, triggers ondersteunt (meestal worden die vanuit een postinst-script geactiveerd). Zal afsluiten met 0 als een exemplaar van dpkg uitgevoerd werd dat triggers aankan of afsluiten met 1 en een foutmelding op de standaard foutuitvoer indien dat niet het geval was. Het is normaal gezien nochtans beter om gewoon de gewenste trigger te activeren met dpkg-trigger.

-?, --help
    Toon info over het gebruik en sluit af.

--version
    Toon de versie en sluit af.

OPTIES

--admindir=map
    Wijzig de locatie van de database van dpkg. De standaardlocatie is /var/lib/dpkg.

--by-package=pakket
    Pas de triggerafwachter aan (normaal wordt dit ingesteld door dpkg via de omgevingsvariabele DPKG_MAINTSCRIPT_PACKAGE van de scripts van de pakketonderhouder. Die bevat de naam van het pakket waartoe het script behoort en standaard wordt die waarde gebruikt).

--no-await
    Deze optie zorgt ervoor dat het (eventuele) aanroepende pakket T niet moet wachten op de afhandeling van deze trigger. Het/de betrokken pakket(ten) I zal/zullen niet toegevoegd worden aan T's lijst van triggers waarvan de afhandeling afgewacht wordt en de status van T blijft ongewijzigd. T mag als geïnstalleerd beschouwd worden, zelfs al heeft I misschien de trigger nog niet verwerkt.

--await
    Deze optie doet het tegenovergestelde van --no-await (sinds dpkg 1.17.21). Indien het belanghebbende pakket een “noawait”-opdracht gedeclareerd heeft, zal deze optie geen effect hebben. Dit is momenteel het standaardgedrag.

--no-act
    Test de zaak enkel uit, maar voer geen enkele effectieve wijziging door.

AFSLUITSTATUS

0   De gevraagde actie werd succesvol uitgevoerd. Of een commando dat een toets of een assertie verrichtte gaf waar als resultaat.

1   Een commando dat een toets of een assertie verrichtte gaf onwaar als resultaat.

2   Fatale of onherstelbare fout die te wijten is aan ongeldig gebruik van de commandoregel of aan interacties met het systeem, zoals het benaderen van de database, het toewijzen van geheugen, enz.

OMGEVING

DPKG_ADMINDIR
    Indien dit ingesteld werd en de optie --admindir niet gebruikt werd, zal dit gebruikt worden als de datamap voor dpkg.

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

ZIE OOK
dpkg(1), deb-triggers(5), /usr/share/doc/dpkg-dev/triggers.txt.gz.